package com.ruoyi.predict.domain;

import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * Area对象 area
 *
 * @author hlf
 * @date 2022-01-10
 */
public class Area extends BaseEntity {
    private static final long serialVersionUID = 1L;

    private Long areaNo;

    private Long areaType;

    private Long status;

    private Double power;

    private Long wfCnt;

    private Long runWf;

    private Long stopWf;

    private Long installWtg;

    private Double installPower;

    private Long putintoWtg;

    private Double putintoPower;

    private Long joinWtg;

    private Double joinPower;

    private Long runWtg;

    private Long stopWtg;

    private Date procTime;

    private Date procDayTime;

    private Date procMonthTime;

    private String name;

    private String pathname;

    private String aliasname;

    private String description;

    private Integer terminalNumber;

    public void setAreaNo(Long areaNo) {
        this.areaNo = areaNo;
    }

    public Long getAreaNo() {
        return areaNo;
    }

    public void setAreaType(Long areaType) {
        this.areaType = areaType;
    }

    public Long getAreaType() {
        return areaType;
    }

    public void setStatus(Long status) {
        this.status = status;
    }

    public Long getStatus() {
        return status;
    }

    public void setPower(Double power) {
        this.power = power;
    }

    public Double getPower() {
        return power;
    }

    public void setWfCnt(Long wfCnt) {
        this.wfCnt = wfCnt;
    }

    public Long getWfCnt() {
        return wfCnt;
    }

    public void setRunWf(Long runWf) {
        this.runWf = runWf;
    }

    public Long getRunWf() {
        return runWf;
    }

    public void setStopWf(Long stopWf) {
        this.stopWf = stopWf;
    }

    public Long getStopWf() {
        return stopWf;
    }

    public void setInstallWtg(Long installWtg) {
        this.installWtg = installWtg;
    }

    public Long getInstallWtg() {
        return installWtg;
    }

    public void setInstallPower(Double installPower) {
        this.installPower = installPower;
    }

    public Double getInstallPower() {
        return installPower;
    }

    public void setPutintoWtg(Long putintoWtg) {
        this.putintoWtg = putintoWtg;
    }

    public Long getPutintoWtg() {
        return putintoWtg;
    }

    public void setPutintoPower(Double putintoPower) {
        this.putintoPower = putintoPower;
    }

    public Double getPutintoPower() {
        return putintoPower;
    }

    public void setJoinWtg(Long joinWtg) {
        this.joinWtg = joinWtg;
    }

    public Long getJoinWtg() {
        return joinWtg;
    }

    public void setJoinPower(Double joinPower) {
        this.joinPower = joinPower;
    }

    public Double getJoinPower() {
        return joinPower;
    }

    public void setRunWtg(Long runWtg) {
        this.runWtg = runWtg;
    }

    public Long getRunWtg() {
        return runWtg;
    }

    public void setStopWtg(Long stopWtg) {
        this.stopWtg = stopWtg;
    }

    public Long getStopWtg() {
        return stopWtg;
    }

    public void setProcTime(Date procTime) {
        this.procTime = procTime;
    }

    public Date getProcTime() {
        return procTime;
    }

    public void setProcDayTime(Date procDayTime) {
        this.procDayTime = procDayTime;
    }

    public Date getProcDayTime() {
        return procDayTime;
    }

    public void setProcMonthTime(Date procMonthTime) {
        this.procMonthTime = procMonthTime;
    }

    public Date getProcMonthTime() {
        return procMonthTime;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getName() {
        return name;
    }

    public void setPathname(String pathname) {
        this.pathname = pathname;
    }

    public String getPathname() {
        return pathname;
    }

    public void setAliasname(String aliasname) {
        this.aliasname = aliasname;
    }

    public String getAliasname() {
        return aliasname;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getDescription() {
        return description;
    }

    public Integer getTerminalNumber() {
        return terminalNumber;
    }

    public void setTerminalNumber(Integer terminalNumber) {
        this.terminalNumber = terminalNumber;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("areaNo", getAreaNo())
                .append("areaType", getAreaType())
                .append("status", getStatus())
                .append("power", getPower())
                .append("wfCnt", getWfCnt())
                .append("runWf", getRunWf())
                .append("stopWf", getStopWf())
                .append("installWtg", getInstallWtg())
                .append("installPower", getInstallPower())
                .append("putintoWtg", getPutintoWtg())
                .append("putintoPower", getPutintoPower())
                .append("joinWtg", getJoinWtg())
                .append("joinPower", getJoinPower())
                .append("runWtg", getRunWtg())
                .append("stopWtg", getStopWtg())
                .append("procTime", getProcTime())
                .append("procDayTime", getProcDayTime())
                .append("procMonthTime", getProcMonthTime())
                .append("name", getName())
                .append("pathname", getPathname())
                .append("aliasname", getAliasname())
                .append("description", getDescription())
                .toString();
    }
}
